Bug 1903 - Недопереведён Vlc
: Недопереведён Vlc
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Localization
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: JDronova
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-04-09 08:30 MSD by JDronova
Modified: 2013-08-14 11:05 MSD (History)
10 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
andrey.bondrov: published+


Attachments
vlc (395.55 KB, image/png)
2013-04-09 08:30 MSD, JDronova
Details
VLC in Russian OK (294.02 KB, image/png)
2013-05-22 14:10 MSD, JDronova
Details

Note You need to log in before you can comment on or make changes to this bug.
Description JDronova 2013-04-09 08:30:14 MSD
Created attachment 1291 [details]
vlc

Оказалось очень много непереведённых кусков в VLC.
Comment 1 Anton Kirilenko 2013-04-10 01:25:26 MSD
The problem is that all the translations present in ru.po file, but they are commented out, and I couldn't make intltool to uncomment them. I'll try tomorrow once again.
Comment 2 JDronova 2013-04-10 01:50:39 MSD
Име(In reply to comment #1)
> The problem is that all the translations present in ru.po file, but they are
> commented out, and I couldn't make intltool to uncomment them. I'll try
> tomorrow once again.

Не нужно не глядя ничего раскомментировать. Нужно брать и смотреть перевод, в закомментированных переводах бывает много неточностей и просто неверных переводов. Приложи сюда этот файл, пожалуйста.
Comment 3 JDronova 2013-04-10 01:57:23 MSD
Кроме того, не совсем ясно, почему за работу с файлом берутся люди, не имеющие отношения к команде локализации.
Comment 4 Denis Silakov 2013-04-10 09:28:03 MSD
(In reply to comment #3)
> Кроме того, не совсем ясно, почему за работу с файлом берутся люди, не
> имеющие отношения к команде локализации.

Видимо, они просто хотят помочь?:)
Comment 5 Aleksandr Kazantcev 2013-04-10 09:37:44 MSD
"Вы еще подеритесь". В некоторых приложениях игнорятся fuzzy вещи при сборке иногда - надо смотреть в эту сторону думаю
Comment 6 Dmitry 2013-04-10 10:31:40 MSD
fuzzy - это неточный перевод, который требует проверки со стороны команды локализации. Такие переводы использовать в приложении не следует.
Comment 7 Anton Kirilenko 2013-04-10 12:29:46 MSD
Раз уж все на русском...

По вопросу локализации - я вижу перевод всех тех строк что отображены в скриншоте (и в том что наблюдаю, сам запуская vlc) в .po файле, но они закомментированы (про fuzzy, оно тут не при чем). Между тем, в .ui файлах в коде присутствуют эти строки в точности. То есть они  просто по какой-то причине были удалены при очередной генерации .po файлов. С этим предстоит поразбираться. Думаю, это не совсем работа локализатора.

К вопросу почему я этим занялся - посмотрите на время отправки моего сообщения. В час ночи я волен считать себя относящимся к команде локализации =) И сегодня собираюсь этим заняться еще раз, если никто не против.
Comment 8 JDronova 2013-04-10 13:41:35 MSD
(In reply to comment #4)
> (In reply to comment #3)
> > Кроме того, не совсем ясно, почему за работу с файлом берутся люди, не
> > имеющие отношения к команде локализации.
> 
> Видимо, они просто хотят помочь?:)
Поскольку у меня есть уже опыт того, что я столкнулась с неверной информацией, переданной Антоном Кириленко Свете Кириленко по поводу того, где брать файлы для перевода, то я соответственно с недоверием отношусь и к другим его действиям. Особенно в свете очередного текущего развала в команде локализации и ухода Стаса Ханжина. Баги, создаваемые в локализации, ставятся в очередь на будущую работу. Лучше б тогда спросили, где помощь сейчас наиболее актуальна.
Comment 9 Anton Kirilenko 2013-04-10 13:53:59 MSD
Во-первых, по поводу высказанной претензии не могу вспомнить, к чему она относится. Может и ошибся когда-то, но я, как правильно было замечено, не локализатор. Недоверие ко мне по части локализации - Ваше право.

По поводу "Лучше б тогда спросили, где помощь сейчас наиболее актуальна"... Насколько мне известно, Светлана это спрашивает уже давно, но конкретных ответов не получает и пытается заниматься хоть чем-то, что в силах сама найти. В частности, смотрит на баги и пытается работать по ним. Когда не получается - просит помощи. Поверхностный осмотр пакета показал что здесь нужен не локализатор, а мейнтейнер, которым я отчасти тоже являюсь. А в свободное от работы время, я вообще кто угодно :)

В любом случае, я предлагаю отставить личные счеты. В данном случае я вижу что проблема относится не к локализации, а к тому как собрана и запакована программа. Мне уже удалось перегенрировать .po файлы чтобы они включали все нужные строки, вечером после работы займусь этим вплотную, пересоберу пакет и закрою багу.
Comment 10 JDronova 2013-04-10 16:18:41 MSD
Багу нужно будет закрыть только после того, как будет проверен перевод. За помощь с мейнтейнерской стороны спасибо заранее.
Comment 11 Anton Kirilenko 2013-04-10 22:51:33 MSD
I've regenerated localization files and rebuilt the package. I've edited no .po files manually, it means all the translations came from upstream and should not be reviewed. Just check that there are no regressions please.
By the way, I've rebuilt vlc-restricted too. Should I open a new bug to post update-request for it?


Advisory:
Corrupted localization of some gui elements has been fixed.

https://abf.rosalinux.ru/build_lists/1052829
https://abf.rosalinux.ru/build_lists/1052828
Comment 12 JDronova 2013-04-10 22:53:08 MSD
Спасибо за помощь, баг будет зкрыт только после проверки перевода.
Comment 13 JDronova 2013-04-10 23:07:09 MSD
Задача для Светланы Кириленко: проверить корректность перевода начиная от строки 27196 до конца.
Comment 14 svetlana kirilenko 2013-04-10 23:36:15 MSD
ok
Comment 15 Denis Silakov 2013-04-11 07:57:17 MSD
(In reply to comment #11)
> I've regenerated localization files and rebuilt the package. I've edited no
> .po files manually, it means all the translations came from upstream and
> should not be reviewed. Just check that there are no regressions please.
> By the way, I've rebuilt vlc-restricted too. Should I open a new bug to post
> update-request for it?
> 

There is no need in a separate bug in such cases, just provide build lists for both usual and restricted vlc.
Comment 16 Anton Kirilenko 2013-04-11 11:18:57 MSD
OK... here is the same fix for vlc-restricted.

Advisory:
Corrupted localization of some gui elements has been fixed.

https://abf.rosalinux.ru/build_lists/1052856
https://abf.rosalinux.ru/build_lists/1052855
Comment 17 Vladimir Potapov 2013-04-11 12:51:50 MSD
vlc-2.0.5-3plf-plf2012.1
*********************** Advisory *********************
Corrupted localization of some gui elements has been fixed
*****************************************************
QA Verified
Comment 18 JDronova 2013-04-11 15:47:08 MSD
Пока не будет проверен перевод vlc, баг закрыт не будет. Спасибо ещё раз за техническую помощь.
Comment 19 Denis Koryavov 2013-04-11 15:49:49 MSD
Да уж проверили бы давно, чем туда сюда его открывать. Вот Санта-Барбару устроили...
Comment 20 Andrey Bondrov 2013-04-12 15:56:59 MSD
Please test if the issue is fixed in 2.0.6:

http://bugs.rosalinux.ru/show_bug.cgi?id=1916
Comment 21 JDronova 2013-05-22 14:10:06 MSD
Created attachment 1408 [details]
VLC in Russian OK

Проблема решена, см. аттач. Закрываю как решённое.